from typing import Optional

from api_graphql.abc.filter_abc import FilterABC


class DateFilter(FilterABC):
    def __init__(
        self,
        obj: Optional[dict],  # {'equal': value}
    ):
        FilterABC.__init__(self, obj)

        self.add_field("equal", str)
        self.add_field("notEqual", str)
        self.add_field("greater", str)
        self.add_field("greaterOrEqual", str)
        self.add_field("less", str)
        self.add_field("lessOrEqual", str)
        self.add_field("isNull", str)
        self.add_field("isNotNull", str)
